package domain

import (
	"topsdk/util"
)

type TmallExchangeMessageAddRefundMessage struct {
	/*
	   留言ID     */
	Id *int64 `json:"id,omitempty" `

	/*
	   换货单号ID     */
	RefundId *int64 `json:"refund_id,omitempty" `

	/*
	   留言者ID     */
	OwnerId *int64 `json:"owner_id,omitempty" `

	/*
	   留言者昵称     */
	OwnerNick *string `json:"owner_nick,omitempty" `

	/*
	   留言内容     */
	Content *string `json:"content,omitempty" `

	/*
	   凭证信息     */
	PicUrls *[]TmallExchangeMessageAddPicUrl `json:"pic_urls,omitempty" `

	/*
	   留言创建时间     */
	Created *util.LocalTime `json:"created,omitempty" `

	/*
	   留言类型：系统或是人工     */
	MessageType *string `json:"message_type,omitempty" `

	/*
	   留言者橘色     */
	OwnerRole *string `json:"owner_role,omitempty" `
}

func (s *TmallExchangeMessageAddRefundMessage) SetId(v int64) *TmallExchangeMessageAddRefundMessage {
	s.Id = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetRefundId(v int64) *TmallExchangeMessageAddRefundMessage {
	s.RefundId = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetOwnerId(v int64) *TmallExchangeMessageAddRefundMessage {
	s.OwnerId = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetOwnerNick(v string) *TmallExchangeMessageAddRefundMessage {
	s.OwnerNick = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetContent(v string) *TmallExchangeMessageAddRefundMessage {
	s.Content = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetPicUrls(v []TmallExchangeMessageAddPicUrl) *TmallExchangeMessageAddRefundMessage {
	s.PicUrls = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetCreated(v util.LocalTime) *TmallExchangeMessageAddRefundMessage {
	s.Created = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetMessageType(v string) *TmallExchangeMessageAddRefundMessage {
	s.MessageType = &v
	return s
}
func (s *TmallExchangeMessageAddRefundMessage) SetOwnerRole(v string) *TmallExchangeMessageAddRefundMessage {
	s.OwnerRole = &v
	return s
}
